Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.seals
Interface SealsService

All Known Implementing Classes:
  SealsServiceImpl

    public interface SealsService

The Coding and Anonymization technical connector exposes two distinct operations: encode and decode. The encode operation allows the coding/anonymization of data. The decode operation provides the inverse function. This technical connector for the Codage service takes care of the following: - Creating the SOAP body required to invoke the Codage web service, depending on the specific operation, using the provided input data. - Applying the necessary security policy (based on a X.509 certificate) to the outgoing SOAP message. - Invoking the Codage web service on the eHealth-platform. - Receiving the response SOAP message and providing it in an interpretable format to the invoking application. A response returned by this service can either be: - a successful response that contains one or more coded/decoded data elements - or a global error. If a successful response message is returned, it is not guaranteed that all elements available in the request message are coded/decoded successfully. For each element that couldn't be coded or decoded, an individual error is available in the response message. Default impl : `SealsServiceImpl`

Method Summary
`DecodeResponse` | `decode(X509Certificate certificate, PrivateKey privateKey, DecodeRequest decodeRequest)` The decode operation provides the inverse function of the encode operation
`EncodeResponse` | `encode(X509Certificate certificate, PrivateKey privateKey, EncodeRequest encodeRequest)` The encode operation allows the coding/anonymization of data.

Method Detail

### encode

    EncodeResponse encode(X509Certificate certificate,
                          PrivateKey privateKey,
                          EncodeRequest encodeRequest)
                          throws TechnicalConnectorException

  The encode operation allows the coding/anonymization of data.

  Parameters:
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `encodeRequest` - Request data structure for the encode operation.
  Returns:
    Response message for the encode operation. Besides the ticket number and application name, this response can either contain: - A valid response: type ChoiceEncodedDataErrorType - or a global error when the processing failed completely
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### decode

    DecodeResponse decode(X509Certificate certificate,
                          PrivateKey privateKey,
                          DecodeRequest decodeRequest)
                          throws TechnicalConnectorException

  The decode operation provides the inverse function of the encode operation

  Parameters:
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for applying the required web service security policy. Eventually it is used for authentication and authorization purposes by the eHealth-platform.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `decodeRequest` - Request data structure for the decode operation.
  Returns:
    Response message for the decode operation. Besides the ticket number and application name, this response can either contain: - A valid response: type ChoiceDecodedDataErrorType - or a global error when the processing failed completely.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.